/* 
   $Id: sgmemo.h,v 1.6 2001/12/25 10:41:54 sho Exp $

   Copyright (C) 2001,2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgmemo.

   sgmemo is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgmemo is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgmemo; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdktypes.h>
#include <gdk/gdkkeysyms.h>

#define ENABLE_NLS 1
#include <gnome.h>

#include "sg_aplaunch.h"

#define MAX_MEMOS  512

#define MAX_STROKE 128
#define MAX_SAMP   512

typedef struct _point{
  short x, y;
}point;

typedef struct _stroke{
  int   n_sample;
  point sample[MAX_SAMP];
}stroke;

void remove_memo(int num);
void save_memo(int num, char *str);
char *load_memo(int num);
void save_stroke(int num, stroke *stk, int n_stroke);
int load_stroke(int num, stroke *stk);
void remove_stroke(int num);


void press_list_button(GtkWidget *widget, gpointer data);
void press_edit_button(GtkWidget *widget, gpointer data);
void press_del_button(GtkWidget *widget,  gpointer data);
void press_quit_button(GtkWidget *widget, gpointer data);

void copy_command();
void cut_command();
void paste_command();
/*void selall_command();*/

void copy_text();
void cut_text();
void paste_text();
void selall_text();

void copy_memo();
void cut_memo();
void paste_memo();
